package com.bc_chat.bc_base.task

import com.bc_chat.bc_base.entity.wallet.NoticeEntity
import com.bc_chat.bc_base.http.Encryption
import com.bc_chat.bc_base.http.RetrofitHelper
import com.zhaohaoting.framework.abs.entity.ResultEntity
import com.zhaohaoting.framework.abs.task.RxDataAsyncTask
import io.reactivex.Flowable

/**
 * author：Created by zhaohaoting on 2019/9/6
 * email：526309416@qq.com
 * desc：
 */
class NoticeTask() : RxDataAsyncTask<NoticeEntity, ResultEntity<NoticeEntity>>() {
    override fun loadDataAsyncTask(): Flowable<ResultEntity<NoticeEntity>>? {
        val params: MutableMap<String, Any?> = mutableMapOf()
        return RetrofitHelper.api.getLastestNotice(Encryption.encryption(params))
    }
}
